
#DB
# \u6570\u636E\u6E90\u914D\u7F6E
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.druid.url=jdbc:mysql://localhost:3306/fdkanfang?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf8&characterSetResults=utf8
spring.datasource.druid.username=root
#spring.datasource.druid.password=4dkk2019%
spring.datasource.druid.password=4dagecui2019$


# \u521D\u59CB\u8FDE\u63A5\u6570
spring.datasource.druid.initial-size=5
# \u6700\u5C0F\u8FDE\u63A5\u6C60\u6570\u91CF
spring.datasource.druid.min-idle=10
# \u6700\u5927\u8FDE\u63A5\u6C60\u6570\u91CF
spring.datasource.druid.max-active=20
# \u914D\u7F6E\u83B7\u53D6\u8FDE\u63A5\u7B49\u5F85\u8D85\u65F6\u7684\u65F6\u95F4
spring.datasource.druid.max-wait=60000
# \u914D\u7F6E\u95F4\u9694\u591A\u4E45\u624D\u8FDB\u884C\u4E00\u6B21\u68C0\u6D4B\uFF0C\u68C0\u6D4B\u9700\u8981\u5173\u95ED\u7684\u7A7A\u95F2\u8FDE\u63A5\uFF0C\u5355\u4F4D\u662F\u6BEB\u79D2
spring.datasource.druid.time-between-eviction-runs-millis=60000
# \u914D\u7F6E\u4E00\u4E2A\u8FDE\u63A5\u5728\u6C60\u4E2D\u6700\u5C0F\u751F\u5B58\u7684\u65F6\u95F4\uFF0C\u5355\u4F4D\u662F\u6BEB\u79D2
spring.datasource.druid.min-evictable-idle-time-millis=30000
# \u914D\u7F6E\u4E00\u4E2A\u8FDE\u63A5\u5728\u6C60\u4E2D\u6700\u5927\u751F\u5B58\u7684\u65F6\u95F4\uFF0C\u5355\u4F4D\u662F\u6BEB\u79D2
spring.datasource.druid.max-evictable-idle-time-millis=90000
# \u914D\u7F6E\u68C0\u6D4B\u8FDE\u63A5\u662F\u5426\u6709\u6548
spring.datasource.druid.validation-query=SELECT 1 FROM DUAL
spring.datasource.druid.test-while-idle=true
spring.datasource.druid.test-on-borrow=false
spring.datasource.druid.test-on-return=false
spring.datasource.druid.web-stat-filter.enabled=true
spring.datasource.druid.stat-view-servlet.enabled=true

#logging.file=log/xiaoan.log

# Redis\u6570\u636E\u5E93\u7D22\u5F15\uFF08\u9ED8\u8BA4\u4E3A0\uFF09
spring.redis.database=0
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.password=
# \u8FDE\u63A5\u8D85\u65F6\u65F6\u95F4 \u5355\u4F4D ms\uFF08\u6BEB\u79D2\uFF09
spring.redis.timeout=3000ms
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5927\u7A7A\u95F2\u8FDE\u63A5\uFF0C\u9ED8\u8BA4\u503C\u4E5F\u662F8\u3002
spring.redis.jedis.pool.max-idle=8
#\u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5C0F\u7A7A\u95F2\u8FDE\u63A5\uFF0C\u9ED8\u8BA4\u503C\u4E5F\u662F0\u3002
spring.redis.jedis.pool.min-idle=0
# \u5982\u679C\u8D4B\u503C\u4E3A-1\uFF0C\u5219\u8868\u793A\u4E0D\u9650\u5236\uFF1B\u5982\u679Cpool\u5DF2\u7ECF\u5206\u914D\u4E86maxActive\u4E2Ajedis\u5B9E\u4F8B\uFF0C\u5219\u6B64\u65F6pool\u7684\u72B6\u6001\u4E3Aexhausted(\u8017\u5C3D)\u3002
spring.redis.jedis.pool.max-active=8
# \u7B49\u5F85\u53EF\u7528\u8FDE\u63A5\u7684\u6700\u5927\u65F6\u95F4\uFF0C\u5355\u4F4D\u6BEB\u79D2\uFF0C\u9ED8\u8BA4\u503C\u4E3A-1\uFF0C\u8868\u793A\u6C38\u4E0D\u8D85\u65F6\u3002\u5982\u679C\u8D85\u8FC7\u7B49\u5F85\u65F6\u95F4\uFF0C\u5219\u76F4\u63A5\u629B\u51FAJedisConnectionException
spring.redis.jedis.pool.max-wait=-1ms


# \u6587\u4EF6\u4FDD\u5B58\u8DEF\u5F84\uFF0C\u7B97\u6CD5\u751F\u6210\u6587\u4EF6\u5730\u5740
#output.file.path=/data/kanfang/
output.file.path=/mnt/data_sk/kanfang/

#\u7F16\u8F91\u9875\u9762
server.domain=http://4dkankan.com/spc.html

#log
logging.path=${output.file.path}fdkanfang_log
logging.config=classpath:logback-spring.xml
logging.level.com.fdkanfang=debug

#rabbit MQ
spring.rabbitmq.host=127.0.0.1
#spring.rabbitmq.host=localhost
spring.rabbitmq.port=5672
spring.rabbitmq.username=4dage 
spring.rabbitmq.password=4dagecui2019$

#四维看看的登录域名
4dkankan.host=https://4dkankan.com/

#queue
verticle.queue=verticalQueue

#垂直校验远程调用脚本路径
verticle.remote.call.path=bash /home/algorithm/HorizonNet.sh 

#房源制作完成短信模板id和签名
scene.finish.sms.template.id=SMS_201717882
sms.common.sign=四维看看Sketch

#用户上传全景图通知的管理员的邮箱账号
admin.email.account=service@4dage.com


oss.point=http://oss-cn-shenzhen-internal.aliyuncs.com
oss.key=LTAIUrvuHqj8pvry
oss.secrey=JLOVl0k8Ke0aaM8nLMMiUAZ3EiiqI4
oss.bucket=4d-tjw
oss.video.file.path=domain/sketch/video/
oss.image.file.path=domain/sketch/image/
oss.query.url=https://houseoss.4dkankan.com/